Skip to main content

Get Effective ACLs for Calls

This request returns a list of effective Access Control Lists (ACLs) for calls for a partner, a trunk group and a trunk, targeted by secure ID.

get /accesscontrol/effective_acl/calls

Sample​

A sample GET request to get effective ACLs for calls:

curl -X GET \
'https://api.carrierx.com/core/v2/accesscontrol/effective_acl/calls' \
-H 'Authorization: Bearer 5ebc03d6-8b2b-44ad-bf65-72d4f1491dda'

Response​

200 status code with a list of Access Control List objects:

{
"count": 1,
"has_more": false,
"items": [
{
"effective_acls": [
{
"access_control_rules": [
"dafd993d-0e99-4af9-b8fc-436fb01b0bbe",
"6fd782fa-c80b-4299-9b91-78797eb392e1"
],
"direction": "outbound",
"sms_action_false": null,
"sms_action_true": null,
"voice_action_false": null,
"voice_action_true": "reject503"
}
],
"layer": 1
}
],
"limit": 1,
"offset": 0,
"pagination": {},
"total": 1
}
note

Note that effective ACLs are executed from the most top-level object.

This request is enabled for Field Filtering. Additionally, query arguments are used to narrow the results.

Required Scopes​

To get information about Access Control Lists the partner must have one of the following scopes enabled:

  • accesscontrol.manage
  • accesscontrol.read

Query Arguments​

ParameterData TypeDescription
directionstringThe direction for the Access Control List. Values accepted in this field are:
  • any
  • inbound
  • outbound
  • undirected
partner_sidstringThe partner secure ID.
trunk_group_sidstringThe trunk group secure ID.
trunk_sidstringThe trunk secure ID.